<?php
    // HEADERS
    header('Access-Control-Allow-Origin: *');
    header('Content-Type: application/json');
    header('Access-Control-Allow-Methods: POST');
    header('Access-Control-Allow-Headers: Access-Control-Allow-Headers,Content-Type,Access-Control-Allow-Methods, Authorization, X-Requested-With');
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    include_once '../../config/Database.php';
    include_once '../../models/Movimentacao.php';

    // INSTANTIATE DB AND CONNECT
    $database = new Database();
    $db = $database->connect();

    // INSTANTIATE POST OBJECT
    $movimentacao = new Movimentacao($db);

    // GET RAW POSTED DATA
    $data = json_decode(file_get_contents("php://input"));

    $movimentacao->movimentacaoTipo = $data->movimentacaoTipo;
    $movimentacao->movimentacaoResponsavel = $data->movimentacaoResponsavel;
    $movimentacao->movimentacaoDD = $data->movimentacaoDD;
    $movimentacao->movimentacaoOS = $data->movimentacaoOS;
    $movimentacao->movimentacaoMotivo = $data->movimentacaoMotivo;
    $movimentacao->movimentacaoObservacao = $data->movimentacaoObservacao;
    $movimentacao->movimentacaoData = $data->movimentacaoData;
    $movimentacao->movimentacaoidProduto = $data->movimentacaoidProduto;
    $movimentacao->movimentacaoQuantidadeProduto = $data->movimentacaoQuantidadeProduto;
    $movimentacao->movimentacaoFilter = $data->movimentacaoFilter;
    $movimentacao->movimentacaoSaldoEstoque = $data->movimentacaoSaldoEstoque;
    $movimentacao->movimentacaoUnidadeCliente = $data->movimentacaoUnidadeCliente;
    $movimentacao->movimentacaoNomeCliente = $data->movimentacaoNomeCliente;
    $movimentacao->movimentacaoAtendimento = $data->movimentacaoAtendimento;
    $movimentacao->movimentacaoTeste = $data->movimentacaoTeste;
    $movimentacao->movimentacaoEmprestimo = $data->movimentacaoEmprestimo;
    $movimentacao->movimentacaoStatus = $data->movimentacaoStatus;

    // CREATE POST
    if($movimentacao->create()){
        echo json_encode(
            array('message' => 'PrmeOSt Created')
        );
    } else {
        echo json_encode(
            array('message' => 'PrmeOSt Not Created')
        );
    }
}